local L = LibStub("AceLocale-3.0"):NewLocale("NekoLoot", "enUS", true)
if not L then return end

--------------------------
-- generic localization --
--------------------------
L["Alpha"]				= "Transparency"
L["AlphaDesc"]			= "transparency - high value makes frame non-transparent"
L["AnchorPoint"]		= "Anchor point"
L["AnchorPointDesc"]	= "Window will be aligned to this point."

L["BackgroundColor"]	= "Background color"
L["BorderColor"]		= "Border color"
L["Colors"]				= "Colors"
L["DescFontColor"]		= "Color of description font"

L["DescFontColorDesc"]	= "Color of description font"
L["FontSizes"]			= "Font size"
L["FrameWidth"]			= "Width of the window"
L["Highlight"]			= "Highlighting"
L["Height"]				= "Height"

L["IconSize"]			= "Icon size"
L["ItemBind"]			= "\"Bind on/to ...\""
L["ItemBindDesc"]		= "In which way gets the item bind to somebody."
L["ItemDesc"]			= "Item description"
L["ItemName"]			= "Item name"

L["Lock"]				= "Lock position"
L["LockDesc"]			= "Should the window be locked?"
L["MaxWidth"]			= "Maximum Width"
L["OpenAgain"]			= "Open loot window again to loot bop item from corpse"

L["ParentAnchor"]		= "Point of the parent"
L["ParentAnchorDesc"]	= "Point of parent element where window will be alligned to."
L["PositionAlignment"]	= "Position and alignment"

L["RollFontSize"]		= "Font size rolls"
L["RollFontColor"]		= "Font color rolls"
L["RollFontColorDesc"]	= "Color of the number of people which rolls these choice"
L["Scale"]				= "Scale"
L["ScaleDesc"]			= "Changes the size without affect proportions."

L["Strata"]				= "Displaylevel"
L["StrataDesc"]			= "All frames/windows in WoW are displayed on eight level. Things on higher levels will hide any on lower ones."
L["TextWidth"]			= "Text width"
L["Toggle"]				= "Activate/disable"
L["ToggleFrameLock"]	= "Window lock on/off"

L["ToggleFrameLockDesc"]= "Locking or unlocking all windows of the addon."
L["Width"]				= "Width"
L["XOff"]				= "Horizontal offset"
L["XOffDesc"]			= "Horizontal offset to anchor point of the parent."

L["YOff"]				= "Vertical offset"
L["YOffDesc"]			= "Vertical offset to anchor point of the parent."

L["TOPLEFT"]	= "Top left"
L["TOP"]		= "Top"
L["TOPRIGHT"]	= "Top right"
L["LEFT"]		= "Left"
L["CENTER"]		= "Center"
L["RIGHT"]		= "Right"
L["BOTTOMLEFT"]	= "Bottom left"
L["BOTTOM"]		= "Bottom"
L["BOTTOMRIGHT"]= "Bottom right"

L["BACKGROUND"] = "Min"
L["LOW"] = "Very low"
L["MEDIUM"] = "Low"
L["HIGH"] = "Medium"
L["DIALOG"] = "High"
L["FULLSCREEN"] = "Very high"
L["FULLSCREEN_DIALOG"] = "Ultra high"
L["TOOLTIP"] = "Max"

L["None"] = "None"
L["Monochrome"] = "Monochrome"
L["Outline"] = "Outline"
L["ThickOutline"] = "Thick Outline"
L["OutlineMono"] = "Outline, Monochrome"
L["ThickOutlineMono"] = "Thick Outline, Monochrome"


-------------------------------------
-- categories of the option window --
-------------------------------------
L["Frame"]		= "Loot window"
L["Loot"]		= "Loot items"
L["LootMode"]	= "Mode of looting"
L["LootRoll"]	= "Roll frames"


-------------------
-- module option --
-------------------
L["Config/Modules"] = "Modul"
L["Config/Modules/LootRoll"] = "Roll frame modul"
L["Config/Modules/LootRollDesc"] = "Options of roll frame modul"


-------------------
-- frame options --
-------------------
L["Config/Frame"] = "Loot window"
L["Config/FrameDesc"] = "Settings for loot window"


------------------
-- loot options --
------------------
L["Config/Loot"] = "Loot items"
L["Config/LootDesc"] = "Settings for loot items"

L["Config/Loot/Expand"] = "Dynamic window width"
L["Config/Loot/ExpandDesc"] = "Should window width aligned to description size?"
L["Config/Loot/TextWidthDesc"] = "Width of text without using dynamic window width."
L["Config/Loot/HighlightDesc"] = "Boundary condition of item highlighting."

L["Config/Loot/HeightDesc"] = "Height of a several item"
L["Config/Loot/ButtonBorderColor"] = "Button color"
L["Config/Loot/ButtonBorderColorDesc"] = "Color of a button"

L["Config/Loot/Highlight"] = "Highlighting dependent on quality"
L["Config/Loot/HighlightButton"] = "Item border"
L["Config/Loot/HighlightButtonDesc"] = "Should the item border be colored dependent quality?"
L["Config/Loot/HighlightFrame"] = "Full item"
L["Config/Loot/HighlightFrameDesc"] = "Should the full item be colored dependent quality?"


-----------------------
-- loot mode options --
-----------------------
L["ConfigFrame/LootMode"] = "Loot mode"
L["ConfigFrame/LootModeDesc"] = "Settings for looting improvements"
L["ConfigFrame/LootMode/Warning"] = "!!! Attention !!!"
L["ConfigFrame/LootMode/WarningText"] = "These settings can be the reason why you can't see any loot item. If so, please disable the option and anounce me. Thanks!"

L["ConfigFrame/LootMode/ProtectAgainstAuto"] = "Protect against auto looting"
L["ConfigFrame/LootMode/ProtectAgainstAutoDesc"] = "Protect against looting of known recipes and mounts by disable auto loot."

L["ConfigFrame/LootMode/Fast"] = "Fast auto looting"
L["ConfigFrame/LootMode/FastDesc"] = "Hide loot window if more slots in bag than items lootable"
L["ConfigFrame/LootMode/ExtraFast"] = "Very fast auto looting"
L["ConfigFrame/LootMode/ExtraFastDesc"] = "Hide loot window until error happens."

L["ConfigFrame/LootMode/Collapse"] = "Update window"
L["ConfigFrame/LootMode/CollapseDesc"] = "If item is removed, then the window and all lootable items will be updated."
L["ConfigFrame/LootMode/FastCollapse"] = "Resize window"
L["ConfigFrame/LootMode/FastCollapseDesc"] = "If item is removed, then hide it and resize the window if possible."


-- lootRoll settings
L["Config/LootRoll"] = "Roll frame"
L["Config/LootRollDesc"] = "Settings for the roll frame"


-- console commands
L["ConfigFrame/Config"] = "Open configuration"
L["ConfigFrame/ConfigDesc"] = "Open configuration"
L["ConfigFrame/Enable"] = "Enable"
L["ConfigFrame/EnableDesc"] = "Enable the addon"
L["ConfigFrame/Disable"] = "Disable"
L["ConfigFrame/DisableDesc"] = "Disable the addon"


-- unlock dialog
L["UnlockDialog/AllUnlocked"] = "Unlock windows. If you have finished push \"Lock\"."
L["UnlockDialog/Lock"] = "Lock"


-- looting
L["Normal"] = "Normal"
L["LootingChanged"] = RED_FONT_COLOR_CODE.."Attention!"..FONT_COLOR_CODE_CLOSE.."How loot window is diplayed changed to: "
L["Error. Disable ExtraFastLooting"] = " \"Very fast auto looting\" was disabled and build-in auto looting was enabled.\n\nLock for a vendor and clean up your inventory ;-). Next time you loot something with more than two free spaces \"Very fast auto looting\" will be activated again."

L["ClearingChanged"] = RED_FONT_COLOR_CODE.."Attention!"..FONT_COLOR_CODE_CLOSE.." Loot window updating changed to: "
L["Collapse"] = "Render window new"
L["FastCollapse"] = "Resize window"


-- binding text
L["BtAcc"] = "BtA"
L["BoE"] = "BoE"
L["BoP"] = "BoP"
L["BoU"] = "BoU"


-- roll frames
L["passA"] = "^(.*) automatically passed on: (.+) because s?he cannot loot that item.$"
L["pass"] = "^(.*) passed on: (.+|r)$"
L["greed"] = "(.*) has selected Greed for: (.+)"
L["need"] = "(.*) has selected Need for: (.+)"
L["dis"] = "(.*) has selected Disenchant for: (.+)"

L["Anchor"] = "Anchor"
L["BoE-Color"] = "BoE Color"
L["BoE-ColorDesc"] = "Color of the \"BoE\" label on the roll frame"
L["BoP-Color"] = "BoP Color"
L["BoP-ColorDesc"] = "Color of the \"BoP\" label on the roll frame"
L["Cannot roll"] = "Can't roll."